/++
 + Ogg type definition header module for D programming language
 +
 + Use, distribution and reproduction of this library source is 
 + governed by a BSD-STYLE souce license included with this source in 'COPYING'.
 + Please read these terms before distributing.
 +
 + Copyright(C) 2009-2012 Takuya Kurosawa
 +
 + Original code:
 +  os_types.h (libogg-1.2.2)
 +  THE OggVorbis SOURCE CODE IS (C) COPYRIGHT 1994-2002
 +  by the Xiph.Org Foundation http://www.xiph.org/
 +/
module org.xiph.libogg.types;

import core.stdc.stdlib;

alias core.stdc.stdlib.malloc  _ogg_malloc;
alias core.stdc.stdlib.calloc  _ogg_calloc;
alias core.stdc.stdlib.realloc _ogg_realloc;
alias core.stdc.stdlib.free    _ogg_free;

alias short  ogg_int16_t;
alias ushort ogg_uint16_t;
alias int    ogg_int32_t;
alias uint   ogg_uint32_t;
alias long   ogg_int64_t;
alias ulong  ogg_uint64_t;

